Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2217246 - liblo: FTBFS in Fedora Rawhide
Summary: liblo: FTBFS in Fedora Rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liblo
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Guido Aulisi
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-06-25 11:12 UTC by Kalev Lember
Modified: 2023-07-06 02:19 UTC (History)
4 users (show)

Fixed In Version: liblo-0.31-9.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-06 02:19:06 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Kalev Lember 2023-06-25 11:12:05 UTC
Description of problem:
Package liblo fails to build from source in Fedora Rawhide.

Version-Release number of selected component (if applicable):
0.31-8.fc38

Steps to Reproduce:
fedpkg build --scratch

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/liblo

Reproducible: Always

Comment 1 Kalev Lember 2023-06-25 11:15:37 UTC
It's FTBFS in both F38 and F39 (rawhide) and is failing with:

server.c: In function 'lo_server_del_lo_method':
server.c:2251:16: error: pointer 'prev_8' used after 'free' [-Werror=use-after-free]
 2251 |             it = prev;
      |             ~~~^~~~~~
server.c:2250:13: note: call to 'free' here
 2250 |             free(it);
      |             ^~~~~~~~
cc1: all warnings being treated as errors


See https://koji.fedoraproject.org/koji/taskinfo?taskID=102562517 for the full build log.

Comment 2 Guido Aulisi 2023-06-25 15:26:04 UTC
I think the statement at line 2251 can be deleted, because it's just before the return.

I opened a PR upstream https://github.com/radarsat1/liblo/pull/140

Comment 3 Kalev Lember 2023-06-25 20:14:32 UTC
Makes sense to me. Thanks!

Comment 4 Fedora Update System 2023-06-27 11:19:08 UTC
FEDORA-2023-c8e6c837f7 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c8e6c837f7

Comment 5 Fedora Update System 2023-06-28 01:01:48 UTC
FEDORA-2023-c8e6c837f7 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c8e6c837f7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c8e6c837f7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-07-06 02:19:06 UTC
FEDORA-2023-c8e6c837f7 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.